//----------------------------------------------------------------------------
// 
//	file: disp_util_window.h
// 
//	function: display utilities for quickly checking 
//		  matrix or weights, etc. 
//		  For use with gdb (and others)
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Wed Sep 23 18:12:54 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 1998/10/16 10:08:04 $
//	$Log: disp_util_window.h,v $
//	Revision 1.1  1998/10/16 10:08:04  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#ifndef __DISP_UTIL_WINDOW_H
#define __DISP_UTIL_WINDOW_H

#include <window.h>
#include <iostream.h>
#include "util.h"
#include "real.h"
#include "matrix_window.h"
#include "coord.h"

class disp_util_window : public main_window {

  int   unmapped;

public 

        disp_util_window(char *name,
                int w, int h, int x, int y);

  void  toggle(); // run this to map the window.
  void  disp_matrix(REAL **mat, int cols, int rows);

};

#endif
