%module matrix
%{
#include "matrix.h"
%}

class matrix {

  int cols, rows;

public:

  float** mat;

  matrix(int c, int r);
  ~matrix();

  void reset_matrix();
  void print_cartesian_matrix();
  static void print_matrix(float **mat, int cols, int rows);
  static void scaleup(float **mat, int cols, int rows, float scaleup);
  void random_matrix();
  void boolean_random_matrix();
  void gaussian_random_matrix(float sigma);
  void export_matrix(float** destination);
  void import_matrix(float** source);
  float vector_dot_product(float** B);
  // calculate dot product like a vector :
  //   return value = A dot B = Sum(c_ij), where c_ij = a_ij * b_ij;
  int get_cols();
  int get_rows();
  float get(int col, int row);
  void put(int col, int row, float val);
  void put_rgb_ppm(char *filename);
  void put_hsv_ppm(char *filename);
	
private: 

  float** alloc_local_matrix(int c, int r);
  void delete_matrix();
};

