//----------------------------------------------------------------------------
// 
//	file: simstattest.cc
// 
//	function: test simstattest -- mua calculation 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Tue Feb  9 00:32:46 CST 1999
// 
//	$Revision: 1.1 $ $Date: 1999/02/09 07:56:44 $
//	$Log: simstattest.cc,v $
//	Revision 1.1  1999/02/09 07:56:44  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------

#include <iostream.h>
#include <nnview/simstat.h>
#include <nnview/real.h>
#include <nnview/matrix.h>

int main(int argc, char *argv[]) {

  matrix<REAL> *m = new matrix<REAL>(10,10);
  REAL **buff = m->mat;

  simstat *ss = new simstat(buff, 10, 10, 5);

  for (int i=0; i<10; ++i) 
	for (int j=0; j<10; ++j) 
		buff[i][j] = (REAL)drand48()>0.5?1:0;

  ss->add_spec_circle(5,5,3);
  ss->add_spec_sqr(0,0,4);
  ss->add_spec_bbox(2,2,5,5);

  m->print_cartesian_matrix();

  for (int i=0; i<ss->get_num_specs(); ++i) {
	cout << "mua" << i << " " << ss->sum_area(i) << endl;
  }

}
 

