#define TESTDRIVE

#include <stdio.h>
#include <ncurses.h>
// #include "textwin.h"

void	start_curses(const char *title) {

  initscr();
  crmode();
  noecho();
  nonl();
  clear();
  mvaddstr(0,0,title);

}

void 	end_curses() {
 
  endwin();

}

void	plot_char(int x, int y, char ch) {

  move(y,x);
  addch(ch);
  addch('\b');

}

void	plot_str(int x, int y, const char *str) {

   mvaddstr(y,x,str);

}

#ifdef TESTDRIVE

int main (int argc, char *argv[]) {

  FILE *fp;
  char buff[2048];
  char msg[256];
  int  i, x, y, exit_flag, len, k;
  char ch;

  if (argc!=2) {
	printf("usage: %s <ansifile>\n",argv[0]);
 	exit(0);
  }

  start_curses("Hello World!");
  
  for (i=0; i<10000; ++i) {

	move(3,0);
	sprintf(msg,"cat %s",argv[1]);
	  fp = fopen(argv[1],"r");
	  x  = 0; y  = 2;
	  while (!feof(fp)) {

		len = fread((void *)&ch,sizeof(unsigned char),1,fp);
		move(y,x);
		if (ch==27) {
			addch('\\');	
			addch('e');	
		} else if (ch!='\n') {
			addch(ch);
			x++;
		} else {
			y++; x=0;
		}
	  }
	  fclose(fp);
	  sprintf(msg,"iter= %d",i);
	  mvaddstr(y+5,x,msg);
	  refresh();
  }

  exit_flag = 0;
  while (!exit_flag) {
  	  mvaddstr(y+10,x,"Enter Command [q:quit]:");
	  echo();
	  ch = getch();
	  switch (ch) {
		case 'q':
		case 'Q': noecho(); exit_flag=1; break;
		default : continue;
	  }
	  noecho();
  }

  end_curses();

}
#endif
