#!/usr/bin/perl 

$usage = <<'EOF' ;

usage: spikerate.pl

	stdin : matrix of spike values in text format : either 0 or 1.
		each column represents spike train of one neuron.

EOF

$i = 0;
while (<STDIN>) {

  chop;

  @row = split(/[\s]+/);

  for ($j=0; $j<=$#row; ++$j) {
	$data[$i][$j] = $row[$j];
  }
  ++$i;
}

$num_rows = $i;
$num_cols = $j;

for ($j=0; $j<$num_cols; ++$j) {
  $rate[$j] = 0;
  for ($i=0; $i<$num_rows; ++$i) {
  	$rate[$j] += $data[$i][$j];
  }
}	


$sum = 0.0;
for ($j=0; $j<$num_cols; ++$j) {
  $sum += $rate[$j] / $num_rows*1.0;
  # print "$j $rate[$j]\n"
}

$sum /= $num_cols * 1.0;
$sum *= 1000.0;

print STDERR "avg spike rate =  $sum Hz\n";


$sum = 0.0;
$count = 0;
for ($j=0; $j<$num_cols; ++$j) {
  if ($rate[$j] == 0) {
	next;
  }
  $rate[$j] /= $num_rows*1.0;
  $sum += $rate[$j];
  # print "$j $rate[$j]\n";
  $count ++;
}

$sum /= $count * 1.0;
$sum *= 1000.0;

print STDERR "avg spike rate (active neurons) =  $sum Hz\n";

